/*国际化信息*/
let localConfig = {
  "zh-cn": {
    "title": "直播互动课堂",
    "exitBtn": "退出",
    "exitCont": "确定要退出当前课堂吗?",
    "setBtn": "设置",
    "helpBtn": "帮助",
    "endClassroom": "结束课堂",
    "endClassroomCont": "确定要结束当前课堂吗?",
    "pauseClassroom": "暂停上课",
    "startClassroom": "开始上课",
    "openVideo": "开启视频",
    "openAudio": "开启音频",
    "closeVideo": "挂断视频",
    "closeAudio": "挂断音频",
    "closeMedia": "挂断",
    "member": "成员",
    "memberNum": "成员人数",
    "discuss": "讨论",
    "sendMsg": "发送",
    "showColor": "选择颜色",
    "controlBrush": "控制学生画笔",
    "pencil": "铅笔",
    "rescind": "撤销上一步",
    "delete": "删除",
    "downAnimated": "下一步动画",
    "onAnimated": "上一步动画",
    "adaptiveHigh": "自适应高",
    "adaptiveWidth": "自适应宽",
    "showAll": "显示全部",
    "raiseBtn": "举手",
    "documentList": "文档列表",
    "listedFiles": "文件列表",
    "mediaShareList": "媒体文件列表",
    "help": "帮助",
    "setUp": "设置",
    "camera": "摄像头",
    "microphone": "麦克风",
    "volume": "音量",
    "preserve": "保存",
    "confirm": "确定",
    "cancel": "取消",
    "enterUserName": "请输入用户名",
    "enterPassword": "请输入密码",
    "register": "登录",
    "enterClass": "请输入课堂号",
    "enterId": "请输入userId",
    "teacher": "老师",
    "student": "学生",
    "invisible": "监课",
    "liveBroadcast": "直播中",
    "rest": "休息中",
    "layoutCont": "选择的文件格式不支持!请选择其它格式(*.jpg;*.png;*.pdf;*.docx;*.pptx;*.xlsx)",
    "layoutImg": "选择的文件格式不支持!请选择其它格式(*.jpg;*.png;*.pdf;*.gif;*.bmp;)",
    "mediaLayoutCont":"选择的文件格式不支持!请选择其它格式(*.mp4)",
    "musicLayoutCont":"选择的文件格式不支持!请选择其它格式(*.mp3)",
    "loaded": "已加载：",
    "fileLoadingErr": "文档加载失败!",
    "uploadFileFailed": "上传文件失败!",
    "uploadFileFailedEncryption": "上传失败,文档加密或受保护.请尝试将文档复制到新文件并重命名之后再上传",
    "uploaDocumentErr": "文件上传失败!",
    "fileName": "文件名",
    "fileError": "文件太大不能上传!不能超过50MB",
    "chatError": "文件太大不能上传!不能超过5MB",
    "fileFormatError": "选择的文件格式不支持!",
    "serverError": "文档服务器地址无效，无法上传文件!",
    "notStart": "未开始",
    "quitClass": "已经退出课堂",
    "initClass": "正在初始化课堂....",
    "joinClass": "正在加入课堂....",
    "correctPassword": "请输入正确密码",
    "disconnected": "已经断开连接",
    "unknown": "未知",
    "default": "默认",
    "opening": "正在开启",
    "downloadVersion": "请先下载最新版插件",
    "downloading": "正在下载中...",
    "stopSharing": "终止共享",
    "answerSheet": "答题卡",
    "rollCall": "点名",
    "selectFile": "选择文档",
    "screenSharing": "屏幕共享",
    "updateMediaFile": "上传媒体文件",
    "selectMediaFile": "选择媒体文件",
    "uploadAudio": "上传音频",
    "laserPen": "激光笔",
    "upload": "上 传",
    "audioFilelist": "音频文件列表",
    "clickView": "点击查看成员",
    "clickHideList": "点击隐藏列表",
    "raiseNum": "人举手",
    "nothing": "无",
    "second": "秒",
    "minute": "分钟",
    "namingTheCountdown": "点名倒计时：",
    "startName": "发起点名",
    "attendance": "出勤人数",
    "terminationRollCall": "终止点名",
    "signIn": "签到",
    "cardType": "卡片类型:",
    "inputAnswer": "输入答案",
    "gotIt": "听明白了",
    "understand": "没听明白",
    "yes": "对",
    "wrong": "错",
    "yup": "是",
    "answerTime": "答题计时:",
    "answerCountdown": "答题倒计时：   ",
    "release": "发布",
    "enterAnswer": "填空题需要输入答案才能进行发布进行正确率统计",
    "answerResult": "答题结果:",
    "share": "共有",
    "participation": "人参与",
    "hideCount": "隐藏",
    "termination": "终止",
    "submitMsg": "提交",
    "giveUp": "放弃",
    "answerIsNotEmpty": "填空题答案不能为空",
    "selectShape": "选择形状",
    "curveStyle": "曲线",
    "justStyle": "直线",
    "circleStyle": "圆形",
    "squareStyle": "方形",
    "customStyle": "自定义",
    "cameraAccessFailed": "摄像头获取失败",
    "microphoneAccessFailed": "麦克风获取失败",
    "pleaseOpenFlash": "flash插件被禁用,请在浏览器设置中开启允许flash运行",
    "playback": "回放中",
    "noFreePlayer":"推流-没有空闲的播放器使用",
    "cantOpenDevice":"不能再打开更多设备",
    "kickOutClass":"踢出课堂",
    "gag":"禁言",
    "gagContent":"你已经被禁言,暂时不能发言",
    "cameraOccupied":"摄像头被占用或推流失败",
    "microphoneOccupied":"麦克风被占用或推流失败",
    "noCamera":"没有摄像头",
    "noMicrophone":"没有麦克风",
    "flashMsgContent":"您的flash可能被禁用或版本过低，请下载后重试",
    "flashDetailSteps":"查看设置详细步骤",
    "flashUpdataVersions":"下载最新版本",
    "nowLiveVersion":"现支持直播的浏览器版本:",
    "speed360":"360极速",
    "speed360Recommend":"360极速(推荐下载)",
    "security360":"360安全",
    "sogouExplorer":"搜狗高速",
    "nowPlaybackVersion":"现支持录制回放浏览器版本:",
    "security360Only":"360安全(仅9.1版本支持)",
    "browserAreaSettings":"根据您的浏览器区设置:",
    "flashForbiddenMsg":"您的flash可能被禁用，请开启后重试!",
    "flashVersionsLow":"您的flash版本过低，请",
    "download":"下载",
    "retry":"后重试"
  },
  "en-us": {
    "title": "Live interactive classroom",
    "exitBtn": "Sign out",
    "exitCont": "Are you sure you want to quit the current classroom?",
    "setBtn": "Set up",
    "helpBtn": "Help",
    "endClassroom": "End class",
    "endClassroomCont": "Are you sure you want to end the current class?",
    "pauseClassroom": "Suspend class",
    "startClassroom": "Class begins",
    "openVideo": "Open video",
    "openAudio": "Open audio",
    "closeVideo": "Video off",
    "closeAudio": "Disconnect audio",
    "closeMedia": "Hang up",
    "member": "Member",
    "memberNum": "Membership",
    "discuss": "Discuss",
    "sendMsg": "Send",
    "showColor": "Select color",
    "controlBrush": "Control student brush",
    "pencil": "Pencil",
    "rescind": "Undo the previous step",
    "delete": "Delete",
    "downAnimated": "Next animation",
    "onAnimated": "Previous animation",
    "adaptiveHigh": "Adaptive high",
    "adaptiveWidth": "Adaptive width",
    "showAll": "Show all",
    "raiseBtn": "Raise",
    "documentList": "Document list",
    "listedFiles": "listed files",
    "mediaShareList": "Media list",
    "help": "Help",
    "setUp": "Set up",
    "camera": "Camera",
    "microphone": "Microphone",
    "volume": "Volume",
    "preserve": "Preservation",
    "confirm": "Determine",
    "cancel": "Cancel",
    "enterUserName": "Enter one user name",
    "enterPassword": "Please input a password",
    "register": "Sign in",
    "enterClass": "Please enter class number",
    "enterId": "Please enter userId",
    "teacher": "Teacher",
    "student": "Student",
    "invisible": "Supervise a class",
    "liveBroadcast": "Live broadcast",
    "rest": "Rest",
    "layoutCont": "The selected file format is not supported! Please select another format(*.jpg;*.png;*.pdf;*.docx;*.pptx;*.xlsx)",
    "layoutImg": "The selected file format is not supported! Please select another format(*.jpg;*.png;*.pdf;*.gif;*.bmp;)",
    "mediaLayoutCont":"The selected file format is not supported! Please select another format(*.mp4)",
    "musicLayoutCont":"The selected file format is not supported! Please select another format(*.mp3)",
    "InvalidAddress": "The file server address is invalid!",
    "loaded": "Loaded：",
    "fileLoadingErr": "Document loading failed!",
    "uploadFileFailed": "Upload file failed!",
    "uploadFileFailedEncryption": "Upload failed,document encrypted or protected.Please try to copy the document to the new file and rename it before uploading it",
    "uploaDocumentErr": "Failed to upload !",
    "fileName": "File name",
    "fileError": "The file is too large to upload! No more than 50MB",
    "chatError": "The file is too large to upload! No more than 5MB",
    "fileFormatError": "The selected file format is not supported!",
    "serverError": "the file server address is invalid!",
    "notStart": "not start",
    "quitClass": "quit class",
    "initClass": "Initializing class....",
    "joinClass": "Joining classroom....",
    "correctPassword": "Please enter the correct password",
    "disconnected": "Disconnected",
    "unknown": "Unknown",
    "default": "Default",
    "playback": "Playback",
    "opening": "Opening",
    "downloadVersion": "Download Plug-in",
    "downloading": "Downloading...",
    "stopSharing": "Stop sharing",
    "answerSheet": "Answer sheet",
    "rollCall": "Roll call",
    "selectFile": "Select file",
    "screenSharing": "Screen sharing",
    "updateMediaFile": "Upload media files",
    "selectMediaFile": "Select media file",
    "uploadAudio": "Upload audio",
    "laserPen": "laser pen",
    "upload": "upload",
    "audioFilelist": "Audio file list",
    "clickView": "Click to view members",
    "clickHideList": "Click hidden list",
    "raiseNum": "hands up",
    "nothing": "nothing",
    "second": "second",
    "minute": "minute",
    "namingTheCountdown": "Naming the countdown",
    "startName": "Start name",
    "attendance": "Attendance",
    "terminationRollCall": "Termination of roll call",
    "signIn": "sign in",
    "cardType": "Card type:",
    "inputAnswer": "Input answer",
    "gotIt": "Got it",
    "understand": "I don't understand",
    "yes": "Yes",
    "wrong": "Wrong",
    "yup": "yup",
    "answerTime": "Answer time:",
    "answerCountdown": "Answer countdown：   ",
    "release": "Release",
    "enterAnswer": "Fill in the blanks,you need to enter the answer in order to publish the correct rate statistics",
    "answerResult": "Answer result:",
    "share": "Share",
    "participation": "individual participation",
    "hideCount": "hide",
    "termination": "termination",
    "submitMsg": "submit",
    "giveUp": "give up",
    "answerIsNotEmpty": "Fill in the blanks. The answer is not empty",
    "selectShape": "Select Shape",
    "curveStyle": "curve",
    "justStyle": "straight line",
    "circleStyle": "circle",
    "squareStyle": "side",
    "customStyle": "custom",
    "cameraAccessFailed": "Camera access failed",
    "microphoneAccessFailed": "Microphone access failed",
    "pleaseOpenFlash": "The flash plug-in is disabled. Please open in browser settings to allow flash to run",
    "noFreePlayer":"Publish->No free player to use",
    "cantOpenDevice":"Can't open the more devices",
    "kickOutClass":"Kick out of class",
    "gag":"Gag",
    "gagContent":"You have been banned, temporarily unable to speak!",
    "cameraOccupied":"The camera has been used or pushed to fail",
    "microphoneOccupied":"The microphone has been used or pushed to fail",
    "noCamera":"No camera",
    "noMicrophone":"No microphone",
    "flashMsgContent":"Your flash may be disabled or the version is too low. Please try again after downloading",
    "flashDetailSteps":"settings",
    "flashUpdataVersions":"Download",
    "nowLiveVersion":"Live browser version is supported now:",
    "speed360":"360 speed",
    "speed360Recommend":"360 speed (recommended)",
    "security360":"360 security",
    "sogouExplorer":"Sogou Explorer",
    "nowPlaybackVersion":"Support for recording playback browser version now:",
    "security360Only":"360 security (only version 9.1)",
    "browserAreaSettings":"Depending on your browser area settings:",
    "flashForbiddenMsg":"Your flash may be disabled. Please open and try again!",
    "flashVersionsLow":"Your version of flash is too low, please",
    "download":"download",
    "retry":"Retry"
  }
};
export default localConfig;